Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2013-01-28 04:18:37 +0000
committerDavid Williams2013-01-28 04:18:37 +0000
commitd4dd83f157271a7214d60d63dd578818119e935d (patch)
tree196bbaf6bd09115d28eb6c7eeffbb93362e9bf96 /production/pom-version-updater.sh
parent80857d7dc37a73ab71110bc6832db35a873d412b (diff)
downloadeclipse.platform.releng.aggregator-d4dd83f157271a7214d60d63dd578818119e935d.tar.gz
eclipse.platform.releng.aggregator-d4dd83f157271a7214d60d63dd578818119e935d.tar.xz
eclipse.platform.releng.aggregator-d4dd83f157271a7214d60d63dd578818119e935d.zip
Bug 399180 - [CBI] restructure aggregator and output directories
Diffstat (limited to 'production/pom-version-updater.sh')
-rw-r--r--production/pom-version-updater.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/production/pom-version-updater.sh b/production/pom-version-updater.sh
new file mode 100644
index 000000000..8a4ab0ec0
--- /dev/null
+++ b/production/pom-version-updater.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+if [ ! -r "$1" ]; then
+ echo "$1" cannot be read
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+pushd $( dirname $0 ) >/dev/null
+SCRIPT_PATH=$(pwd)
+popd >/dev/null
+
+. $SCRIPT_PATH/build-functions.sh
+
+. "$1"
+
+
+cd $BUILD_ROOT
+
+# derived values
+gitCache=$( fn-git-cache "$BUILD_ROOT" "$BRANCH" )
+aggDir=$( fn-git-dir "$gitCache" "$AGGREGATOR_REPO" )
+buildDirectory=$( fn-build-dir "$BUILD_ROOT" "$BRANCH" "$BUILD_ID" "$STREAM" )
+
+if [ -z "$BUILD_ID" ]; then
+ BUILD_ID=$(fn-build-id "$BUILD_TYPE" )
+fi
+
+fn-pom-version-updater "$aggDir" "$LOCAL_REPO"
+fn-pom-version-report "$BUILD_ID" "$aggDir" "$buildDirectory"
+

Back to the top